%define name	jpdftweak
%define version 1.1
%define release  %mkrel 1

Name:		%{name}
Summary:	Java application to tweak PDF files
Summary(de):	Java Programm zum Verbessern von PDF-Dateien
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.xz
Source1:	jpdftweak.png
Url:		http://jpdftweak.sourceforge.net/
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	java
BuildArch:	noarch
License:	GPL

%description
jPDF Tweak is a Java Swing application that can combine,
split, rotate, reorder, watermark, encrypt, sign, and
otherwise tweak PDF files.

%description -l de
jPDF Tweak ist ein Java Swing Programm das PDF-Dateien kombinieren,
aufteilen, rotieren, neuordnen, Wasserzeichen einfügen, verschlüsseln,
signieren und anderweitig verändern kann.


%prep
%setup -q

%build

#make some install dirs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

# remove unnecessary files
rm -f *.ico
rm -f *.bat

cp -ar * $RPM_BUILD_ROOT%{_libdir}/%{name}

#create our launch wrapper script
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/sh
cd /usr/%{_lib}/%{name}
java -jar jpdftweak.jar
cd /
EOF

#make our launch wrapper executable
chmod +x $RPM_BUILD_ROOT%{_bindir}/%{name}

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=JPDF Tweak
Comment=%summary
Comment[de]=Java Programm zum Verbessern von PDF-Dateien
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office;
EOF

#Icon
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%files
%defattr(-,root,root,0755)
%doc license.txt README.txt
%{_bindir}/*
%{_libdir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Aug 20 2012 Neal <nealbrks0 at gmail dot com> 1.1-1pclos2012
- process

* Mon Aug 20 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.1-1pclos2012
- 1.1
- added german summary and description
- fixed startup script for 64bit
- added BuildArch: noarch it's a java program
- renamed spec to right app name pclos-pdftweak.spec -> pclos-jpdftweak.spec
- added removal of .ico and .bat files

* Thu Dec 30 2010 Texstar <texstar at gmail.com> 1.0-1pclos2010
- 1.0

